package com.bytedance.librarian;

import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.ArrayList;

public class LibrarianUnsatisfiedLinkError extends UnsatisfiedLinkError {
    public static final ArrayList<LibrarianUnsatisfiedLinkError> LIZ = new ArrayList<>();

    public static UnsatisfiedLinkError[] LIZ() {
        UnsatisfiedLinkError[] unsatisfiedLinkErrorArr;
        MethodCollector.i(1898);
        ArrayList<LibrarianUnsatisfiedLinkError> arrayList = LIZ;
        synchronized (arrayList) {
            try {
                unsatisfiedLinkErrorArr = (UnsatisfiedLinkError[]) arrayList.toArray(new UnsatisfiedLinkError[0]);
            } finally {
                MethodCollector.o(1898);
            }
        }
        return unsatisfiedLinkErrorArr;
    }

    public LibrarianUnsatisfiedLinkError(String str) {
        super(str);
        MethodCollector.i(1519);
        ArrayList<LibrarianUnsatisfiedLinkError> arrayList = LIZ;
        synchronized (arrayList) {
            try {
                arrayList.add(this);
            } finally {
                MethodCollector.o(1519);
            }
        }
    }

    public LibrarianUnsatisfiedLinkError(String str, Throwable th) {
        super(str);
        MethodCollector.i(1674);
        initCause(th);
        ArrayList<LibrarianUnsatisfiedLinkError> arrayList = LIZ;
        synchronized (arrayList) {
            try {
                arrayList.add(this);
            } finally {
                MethodCollector.o(1674);
            }
        }
    }
}
